FUNCTION TEMP(3)

NAME
boost::algorithm::replace_first - Replace first algorithm.

SYNOPSIS

// In header: <boost/algorithm/string/replace.hpp>
template<typename SequenceT, typename Range1T, typename Range2T>
  void replace_first(SequenceT & Input, const Range1T & Search,
                     const Range2T & Format);

DESCRIPTION

replace the first match of the search substring in the input with the format string. The input sequence is modified in-place.

Parameters:

    Format
        A substitute string

    Input
        An input string

    Search
        A substring to be searched for